Bug 178331 - kdebase: follow fdo icon spec
Summary: kdebase: follow fdo icon spec
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-19 15:10 UTC by Rex Dieter
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 3.5.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-28 18:36:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rex Dieter 2006-01-19 15:10:52 UTC
Similar to kdelibs' bug #178322 ... 
 
Per fdo icon spec and http://fedoraproject.org/wiki/ScriptletSnippets (Gtk+  
Icon cache), something like the following should be added:  
  
%post  
for icon_theme in crystalsvg hicolor ; do  
  touch --no-create %{_datadir}/icons/${icon_theme} ||:  
  gtk-update-icon-cache -q %{_datadir}/icons/${icon_theme} 2> /dev/null ||:  
done  
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :  
  
%postun  
for icon_theme in crystalsvg hicolor ; do  
  touch --no-create %{_datadir}/icons/${icon_theme} ||:  
  gtk-update-icon-cache -q %{_datadir}/icons/${icon_theme} 2> /dev/null ||:  
done  
  
Also wouldn't hurt to add  
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :  
to both %post/%postun to register  apps that contain  
MimeType=  
in their .desktop files.

Comment 1 Rex Dieter 2006-04-28 18:36:15 UTC
It's there now, from the changelog: kdebase-3.5.0-2


Note You need to log in before you can comment on or make changes to this bug.